> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/steps.md).

# Detection Steps

To create a capture flow, you will need to create an array of **`DocumentDetectorStep`**, where each element will be a capture step. To construct each `DocumentDetectorStep` object, you can enter the following elements:

| Parameter                | Description                                                                                                                                                                                 | Default                                 | Required |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------- | :------: |
| `document: Document`     | Specifies the document to capture in the step. Check supported types [here](https://github.com/combateafraude/public-docs/blob/docs-sdks/android/document-detector/supported_documents.md). | -                                       |     ✅    |
| `stepLabel: String?`     | Sets the text shown at the bottom of the layout.                                                                                                                                            | Defaults to the pattern for `Document`. |     ❌    |
| `illustration: UIImage?` | Sets the illustration displayed in the popup before capture.                                                                                                                                | Defaults to the pattern for `Document`. |     ❌    |
| `showStepLabel: Bool?`   | Toggles the visibility of text at the top of the layout.                                                                                                                                    | `true`                                  |     ❌    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/document-detector/builder/steps.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
